# rss-proxy
A media RSS feed server correcting the default thumbnails in its articles

Currently implemented for DeviantArt

## Building
`rss-proxy` requires Rust and cargo.

For only building the binary in release mode:
```sh
$ cargo build --release
```

## Running
In release mode (i.e. optimized):
```sh
$ cargo run --release
```

In debug mode (unoptimized, faster):
```sh
$ cargo run
```

## Usage
The server will by default try to use port 80 or 8080 depending on privileges
and whether the port is available.

It will then point by default to `https://backend.deviantart.com/rss.xml`
propagating the query string used for describing your RSS feed.

### Example
Show pictures in a user's gallery: `http://localhost:8080/?type=gallery&q=by:<username>`

More examples can be found at [DeviantArt's API documentation](https://www.deviantart.com/developers/rss).

## License
This project is dual-licensed under MIT or Apache 2.0
